Subject: Re: liberator
From: [email-masked] (Andy Church)
To: [email-masked]
Date: Sun, 24 Jul 1994 22:51:53 -0500

>Anyone read the latest Amiga Report 2.22?  Some very nice information in 
>there about C=, and some good reviews etc.  I was impressed with this 
>issue...

  Is there a list somewhere of all Amiga-related magazines?  I know about
AmigaWorld (a.k.a. AmigaWhirled :-) ) and Amazing Computing for the Amiga,
but that's it.

  --Andy Church